
QGIS Application - Bug report #930

SPIT does allow to connect to PostGIS

2008-01-30 07:13 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10989

Description

In SPIT I have setup the connection. The "Test Connect" says: "Connection to <database name here> was successfull". However, the

"Connect" button in SPIT is greyed-out, inactive.

The same connection setup that SPIT refuses to use works OK for "Add a [[PostGIS]] Layer" dialog.

If in SPIT I choose a shapefile and press OK anyway, even though it seems I'm not connected (the "Connect" button is greyed-out all the

time) and press OK, SPIT segfaults like described in the bug #865 (reported 2 months ago).

History

#1 - 2008-02-08 12:43 AM - azog -

Replying to msieczka:

In SPIT I have setup the connection. The "Test Connect" says: "Connection to <database name here> was successfull". However, the "Connect"

button in SPIT is greyed-out, inactive.

The same connection setup that SPIT refuses to use works OK for "Add a [[PostGIS]] Layer" dialog.

If in SPIT I choose a shapefile and press OK anyway, even though it seems I'm not connected (the "Connect" button is greyed-out all the time) and

press OK, SPIT segfaults like described in the bug #865 (reported 2 months ago).

I have the exact same experience on ubuntu 7.10 amd64, running 0.9.2 w/pgsql 8.2.6+postgis. 

I can connect to the database, no problem w/test connection, but not in SPIT. When trying to go ahead anyway, I also experience a crash.

#2 - 2008-03-28 10:36 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:a08e4de9 (SVN r8294)

#3 - 2008-03-28 03:46 PM - Maciej Sieczka -

Author: jef
- remove disabled connect button (spit automatically connects on OK)

First of all it's great you found time to fix SPIT. Very much appreciated!

Regarding the connect button removal however I have doubts:

1. Actually now SPIT automatically connects right away on it's startup, not on OK later. This forces and arbitrary connection to be chosen by default, if you

have more available.

2. A missing connect button makes SPIT interface different from add [[PostGIS]] layer dialog for no reason; each such difference makes it harder for

newcomers and QGIS teachers (they ask me "But why do the two differ?", I say "Just because.". Neither me nor they are satisfied with the reply :) ).

BTW - SPIT fails to ask for password if the given connection does not have one saved. It just yields an error "Connection failed - Check settings and try

again". Same as "Test connection" button. Could they instead pop up a dialog for password, like the Add [[PostGIS]] Layer dialog does after pressing the

connect button?

#4 - 2008-04-13 02:57 PM - Jürgen Fischer

the patch patch fixes the connection problem.  As we are currently in string freeze this will not make it into 0.9.2.

#5 - 2008-04-13 10:35 PM - Maciej Sieczka -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Thanks Jürgen

I'll reopen the ticket so it's not missed when the patch can be applied.

#6 - 2008-04-17 08:12 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

fixed in trunk

#7 - 2008-04-17 08:36 AM - Maciej Sieczka -

Yuppie!

#8 - 2008-04-17 08:38 AM - Maciej Sieczka -

I mean: Yippie! (ki-yay). :D

#9 - 2008-04-17 08:43 AM - Maciej Sieczka -
Darn, I mean "Yippee!" (and promise this is my last spam here).

#10 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

Files

patch_for_bug_930.txt 27.7 KB 2008-04-13 Jürgen Fischer
